// CoordinateDecode.cpp : Defines the entry point for the DLL application.
//
#include "stdafx.h"
#include "com_go2map_data_util_coordinate_JniConverter.h"
#include "CCoordinateTran.h"
//
/*
 * Class:     com_go2map_data_util_coordinate_JniConverter
 * Method:    initLLtoBD
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_com_go2map_data_util_coordinate_JniConverter_initLLtoBD(JNIEnv * env, jobject object){
	initSogou_Baidu("jni_sogou_baidu.txt");
	return;
}

/*
 * Class:     com_go2map_data_util_coordinate_JniConverter
 * Method:    initBDtoLL
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_com_go2map_data_util_coordinate_JniConverter_initBDtoLL(JNIEnv * env, jobject object){
	initBaidu_Sogou("jni_baidu_sogou.txt");
	return;
}

/*
 * Class:     com_go2map_data_util_coordinate_JniConverter
 * Method:    initLLtoC2
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_com_go2map_data_util_coordinate_JniConverter_initLLtoC2(JNIEnv * env, jobject object){
	initSogou_Nav("jni_sogou_navgoogle.txt");
	return;
}

/*
 * Class:     com_go2map_data_util_coordinate_JniConverter
 * Method:    initC2toLL
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_com_go2map_data_util_coordinate_JniConverter_initC2toLL(JNIEnv * env, jobject object){
	initNav_Sogou("jni_navgoogle_sogou.txt");
	return;
}
//
/*
 * Class:     com_go2map_data_util_coordinate_JniConverter
 * Method:    transformLLToBD
 * Signature: (DD)[D
 */
JNIEXPORT jdoubleArray JNICALL Java_com_go2map_data_util_coordinate_JniConverter_transformLLtoBD(JNIEnv * env, jobject object, jdouble x, jdouble y){
	double ansl,ansb;
	Sogou_Baidu(x,y,&ansl,&ansb);
	double xy[2];
	xy[0]=ansl;
	xy[1]=ansb;	
	jdoubleArray ret = env->NewDoubleArray(2);
	env->SetDoubleArrayRegion(ret,0,2,xy);  
	return ret;
}

/*
 * Class:     com_go2map_data_util_coordinate_JniConverter
 * Method:    transformBDToLL
 * Signature: (DD)[D
 */
JNIEXPORT jdoubleArray JNICALL Java_com_go2map_data_util_coordinate_JniConverter_transformBDtoLL(JNIEnv * env, jobject object, jdouble x, jdouble y){
	double ansl,ansb;
	Baidu_Sogou(x,y,&ansl,&ansb);
	double xy[2];
	xy[0]=ansl;
	xy[1]=ansb;	
	jdoubleArray ret = env->NewDoubleArray(2);
	env->SetDoubleArrayRegion(ret,0,2,xy);  
	return ret;
}

/*
 * Class:     com_go2map_data_util_coordinate_JniConverter
 * Method:    transformLLToC2
 * Signature: (DD)[D
 */
JNIEXPORT jdoubleArray JNICALL Java_com_go2map_data_util_coordinate_JniConverter_transformLLtoC2(JNIEnv * env, jobject object, jdouble x, jdouble y){
	double ansl,ansb;
	Sogou_Nav(x,y,&ansl,&ansb);
	double xy[2];
	xy[0]=ansl;
	xy[1]=ansb;	
	jdoubleArray ret = env->NewDoubleArray(2);
	env->SetDoubleArrayRegion(ret,0,2,xy);  
	return ret;
}

/*
 * Class:     com_go2map_data_util_coordinate_JniConverter
 * Method:    transformC2ToLL
 * Signature: (DD)[D
 */
JNIEXPORT jdoubleArray JNICALL Java_com_go2map_data_util_coordinate_JniConverter_transformC2toLL(JNIEnv * env, jobject object, jdouble x, jdouble y){
	double ansl,ansb;
	Nav_Sogou(x,y,&ansl,&ansb);
	double xy[2];
	xy[0]=ansl;
	xy[1]=ansb;	
	jdoubleArray ret = env->NewDoubleArray(2);
	env->SetDoubleArrayRegion(ret,0,2,xy);  
	return ret;
}

/*
 * Class:     com_go2map_data_util_coordinate_JniConverter
 * Method:    closeAll
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_com_go2map_data_util_coordinate_JniConverter_closeAll(JNIEnv * env, jobject object){
	freeAll();
	return;
}